<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'payroll',

    /*
     * Package.
     */
    'package'   => 'remittance',

    /*
     * Modules.
     */
    'modules'   => ['bank_remittance'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    'bank_remittance'       => [
        'model'             => 'Payroll\Remittance\Models\BankRemittance',
        'table'             => 'bank_remittances',
        'presenter'         => \Payroll\Remittance\Repositories\Presenter\BankRemittanceItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'id',  'company_id',  'department_id',  'employee_id',  'year',  'month',  'monthly_pay',  'total_allowance',  'total_deduction',  'net_pay',  'bf_balance',  'bank_remittance',  'cf_balance',  'created_at',  'updated_at',  'deleted_at'],
        'translate'         => ['id',  'company_id',  'department_id',  'employee_id',  'year',  'month',  'monthly_pay',  'total_allowance',  'total_deduction',  'net_pay',  'bf_balance',  'bank_remittance',  'cf_balance',  'created_at',  'updated_at',  'deleted_at'],

        'upload_folder'     => 'remittance/bank_remittance',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
        /*
        'workflow'      => [
            'points' => [
                'start' => 'draft',
                'end'   => ['delete'],
            ],
            'steps'  => [
                'draft'     => [
                    'label'  => "BankRemittance created",
                    'action' => ['setStatus', 'draft'],
                    'next'   => ['complete'],
                ],
                'complete'  => [
                    'label'  => "BankRemittance completed",
                    'status' => ['setStatus', 'complete'],
                    'next'   => ['verify'],
                ],
                'verify'    => [
                    'label'  => "BankRemittance verified",
                    'action' => ['setStatus', 'verify'],
                    'next'   => ['approve'],
                ],
                'approve'   => [
                    'label'  => "BankRemittance approved",
                    'action' => ['setStatus', 'approve'],
                    'next'   => ['publish'],
                ],
                'publish'   => [
                    'label'  => "BankRemittance published",
                    'action' => ['setStatus', 'publish'],
                    'next'   => ['unpublish', 'delete', 'target', 'archive'],
                ],
                'unpublish' => [
                    'label'  => "BankRemittance unpublished",
                    'action' => ['setStatus', 'unpublish'],
                    'next'   => ['publish', 'target', 'archive', 'delete'],
                ],
                'archive'   => [
                    'label'  => "BankRemittance archived",
                    'action' => ['setStatus', 'archive'],
                    'next'   => ['publish', 'delete'],
                ],
                'delete'    => [
                    'Label'  => "BankRemittance deleted",
                    'status' => ['delete', 'archive'],
                ],
            ],
        ],
        */
    ],
];
