<?php

namespace Payroll\Remittance\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Payroll\Remittance\Interfaces\BankRemittanceRepositoryInterface;

class BankRemittancePublicController extends BaseController
{
    // use BankRemittanceWorkflow;

    /**
     * Constructor.
     *
     * @param type \Payroll\BankRemittance\Interfaces\BankRemittanceRepositoryInterface $bank_remittance
     *
     * @return type
     */
    public function __construct(BankRemittanceRepositoryInterface $bank_remittance)
    {
        $this->repository = $bank_remittance;
        parent::__construct();
    }

    /**
     * Show bank_remittance's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $bank_remittances = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('remittance::public.bank_remittance.index', compact('bank_remittances'))->render();
    }

    /**
     * Show bank_remittance.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $bank_remittance = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('remittance::public.bank_remittance.show', compact('bank_remittance'))->render();
    }

}
