<?php

namespace Payroll\Remittance\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind BankRemittance validator
        \Payroll\Remittance\Models\BankRemittance::class => \Payroll\Remittance\Workflow\BankRemittanceValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind BankRemittance actions
        \Payroll\Remittance\Models\BankRemittance::class => \Payroll\Remittance\Workflow\BankRemittanceAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind BankRemittance notifiers
        \Payroll\Remittance\Models\BankRemittance::class => \Payroll\Remittance\Workflow\BankRemittanceNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
