<?php

namespace Payroll\Remittance;

use User;

class Remittance
{
    /**
     * $bank_remittance object.
     */
    protected $bank_remittance;

    /**
     * Constructor.
     */
    public function __construct(\Payroll\Remittance\Interfaces\BankRemittanceRepositoryInterface $bank_remittance)
    {
        $this->bank_remittance = $bank_remittance;
    }

    /**
     * Returns count of remittance.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.bank_remittance.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->bank_remittance->pushCriteria(new \Litepie\Payroll\Repositories\Criteria\BankRemittanceUserCriteria());
        }

        $bank_remittance = $this->bank_remittance->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('remittance::' . $view, compact('bank_remittance'))->render();
    }
}
