<?php

namespace Payroll\Remittance\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BankRemittanceItemTransformer extends TransformerAbstract
{
    public function transform(\Payroll\Remittance\Models\BankRemittance $bank_remittance)
    {
        return [
            'id'                => $bank_remittance->getRouteKey(),
            'id'                => $bank_remittance->id,
            'company_id'        => $bank_remittance->company_id,
            'department_id'     => $bank_remittance->department_id,
            'employee_id'       => $bank_remittance->employee_id,
            'year'              => $bank_remittance->year,
            'month'             => $bank_remittance->month,
            'monthly_pay'       => $bank_remittance->monthly_pay,
            'total_allowance'   => $bank_remittance->total_allowance,
            'total_deduction'   => $bank_remittance->total_deduction,
            'net_pay'           => $bank_remittance->net_pay,
            'bf_balance'        => $bank_remittance->bf_balance,
            'bank_remittance'   => $bank_remittance->bank_remittance,
            'cf_balance'        => $bank_remittance->cf_balance,
            'created_at'        => $bank_remittance->created_at,
            'updated_at'        => $bank_remittance->updated_at,
            'deleted_at'        => $bank_remittance->deleted_at,
            'status'            => trans('app.'.$bank_remittance->status),
            'created_at'        => format_date($bank_remittance->created_at),
            'updated_at'        => format_date($bank_remittance->updated_at),
        ];
    }
}