<?php

namespace Payroll\Remittance\Workflow;

use Payroll\Remittance\Models\BankRemittance;
use Payroll\Remittance\Notifications\BankRemittance as BankRemittanceNotifyer;
use Notification;

class BankRemittanceNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param BankRemittance $bank_remittance
     *
     * @return void
     */
    public function complete(BankRemittance $bank_remittance)
    {
        return Notification::send($bank_remittance->user, new BankRemittanceNotifyer($bank_remittance, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param BankRemittance $bank_remittance
     *
     * @return void
     */
    public function verify(BankRemittance $bank_remittance)
    {
        return Notification::send($bank_remittance->user, new BankRemittanceNotifyer($bank_remittance, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param BankRemittance $bank_remittance
     *
     * @return void
     */
    public function approve(BankRemittance $bank_remittance)
    {
        return Notification::send($bank_remittance->user, new BankRemittanceNotifyer($bank_remittance, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param BankRemittance $bank_remittance
     *
     * @return void
     */
    public function publish(BankRemittance $bank_remittance)
    {
        return Notification::send($bank_remittance->user, new BankRemittanceNotifyer($bank_remittance, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param BankRemittance $bank_remittance
     *
     * @return void
     */
    public function archive(BankRemittance $bank_remittance)
    {
        return Notification::send($bank_remittance->user, new BankRemittanceNotifyer($bank_remittance, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param BankRemittance $bank_remittance
     *
     * @return void
     */
    public function unpublish(BankRemittance $bank_remittance)
    {
        return Notification::send($bank_remittance->user, new BankRemittanceNotifyer($bank_remittance, 'unpublish'));;

    }
}
